Bug 150956 - Missing BuildRequire for readline-devel
Missing BuildRequire for readline-devel
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-12 14:01 EST by Andreas Thienemann
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 17:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2005-03-12 14:01:44 EST
While building rpm-4.3.3-7_nonptl on an alpha machine:

In file included from lua/lua.c:25:
local/userconfig.c:16:31: readline/readline.h: No such file or directory
local/userconfig.c:17:30: readline/history.h: No such file or directory
In file included from lua/lua.c:25:
local/userconfig.c: In function `myreadline':
local/userconfig.c:20: warning: implicit declaration of function `readline'
local/userconfig.c:20: warning: initialization makes pointer from integer
without a cast
local/userconfig.c: In function `mysaveline':
local/userconfig.c:39: warning: implicit declaration of function `add_history'
make[2]: *** [lua_lua-lua.o] Error 1
make[2]: Leaving directory `/usr/src/rpm/BUILD/rpm-4.3.3/lua'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/rpm/BUILD/rpm-4.3.3'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.4837 (%build)
Comment 4 Paul Nasrat 2005-09-27 17:39:13 EDT
rawhide has this already, updated cvs for RHEL 4 so if a new version is built
for an update release it will be included

Note You need to log in before you can comment on or make changes to this bug.